package com.ibm.etools.cobol.preference.ui.common;
/*
 * Licensed Materials - Property of IBM
 * 
 * (c) Copyright IBM Corporation 2002.
 * All Rights Reserved. 
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP  schedule Contract with IBM Corp. 
 */


/**
 * @author makkina
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
 
import org.eclipse.swt.layout.*;

/**
 * A utility class to create convenient grid data objects.
 */ 
public class GridUtil
{
/**
 * GridUtil constructor comment.
 */
public GridUtil() {
	super();
}
	/**
	 * Creates a grid data object that occupies vertical and horizontal
	 * space.
	 */
	static public GridData createFill() {
		GridData gd= new GridData();
		gd.horizontalAlignment= GridData.FILL;
		gd.grabExcessHorizontalSpace= true;
		gd.verticalAlignment= GridData.FILL;
		gd.grabExcessVerticalSpace= true;
		return gd;
	}
	/**
	 * Creates a grid data object that occupies horizontal space.
	 */
	static public GridData createHorizontalFill() {
		GridData gd= new GridData();
		gd.horizontalAlignment= GridData.FILL;
		gd.grabExcessHorizontalSpace= true;
		return gd;
	}
	/**
	 * Creates a grid data object that occupies vertical space.
	 */
	static public GridData createVerticalFill() {
		GridData gd= new GridData();
		gd.verticalAlignment= GridData.FILL;
		gd.grabExcessVerticalSpace= true;
		return gd;
	}
}
